Page 1 of 1

"sendto error: 65" on pfsense router

Posted: Wed Feb 24, 2021 9:42 am
by yuriw
Hello all

I started seeing new errors on my gateway:

Code: Select all

Feb 24 02:40:10   dpinger   24661   WAN_DHCP 135.XXX.XX.X: sendto error: 65


Per pfsense documentation:

Code: Select all

sendto error: 65
65 EHOSTUNREACH
No route to host.
A socket operation was attempted to an unreachable host.


https://docs.netgate.com/pfsense/en/lat ... rrors.html

I run pfsense 2.5.0 and wonder if anybody has seen this and any possible resolutions.

Thx

Re: "sendto error: 65" on pfsense router

Posted: Wed Feb 24, 2021 3:18 pm
by ngufra
Is it only for email or do you get routing issues for other protocols?

could it be a bug in pfsense 2.5?
Try to revert to 2.4 maybe and let someone else find the bugs!

Re: "sendto error: 65" on pfsense router

Posted: Thu Feb 25, 2021 5:47 am
by js9erfan
What service do you have and what hardware? With v2.50 came a lot of changes as well as FreeBSD v12.2. New NIC drivers were added, others updated and some dropped. I’ve seen this error before but it’s been quite a while.

Assuming you’ve rebooted your ONT/modem and pfSense, have you checked to ensure the WAN interface is set as the default gateway/route? If you’re using a VPN client make sure it didn’t get switched to that interface. What does your routing table show? You might have to force the speed/duplex on the WAN interface to match the modem (instead of auto select). I’ve had to do this on a pfSense box and ATT issued Arris BGW210 modem before where pfSense would fail to negotiate/renew the WAN IP when the lease expired. Shortening the lease time also seemed to help. Some people have even put a dumb switch between their modem and pfSense to help the devices negotiate. Disabling TSO and LRO (System > Advanced > Networking) might be worth a try.

I’ve been running pfSense v2.50 at 3 locations with varying hardware since last week. Outside of some cert related bugs and NCP getting broken with some VPN providers it has been pretty solid.

If all else fails and v2.45 worked fine then you could always downgrade if you kept a backup. Or, you can do a clean install of v2.50 and see if that resolves the issue.

Good luck!